API ReferenceapimessagingGET /v1/messaging/templates

GET /v1/messaging/templates

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required

Responses

200 List templates

{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "key": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "channel": {
            "type": "string",
            "enum": [
              "email",
              "sms",
              "push",
              "in_app"
            ]
          },
          "current_version_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "key",
          "description",
          "channel",
          "current_version_id",
          "created_by",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "items"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://messaging.platform.loop.health/v1/messaging/templates \
  -H "Authorization: Bearer $ACCESS_TOKEN"